Classes | Namespaces | Typedefs | Functions
MWAWDebug.hxx File Reference
`#include <string>`
`#include "MWAWInputStream.hxx"`
`#include <fstream>`
`#include <sstream>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | libmwaw::DebugFile
| an interface used to insert comment in a binary file, written in ascii form (if debug_with_files is not defined, does nothing) More...
struct | libmwaw::DebugFile::NotePos
| a note and its position (used to sort all notes) More...
struct | libmwaw::DebugFile::NotePos::NotePosLt
| internal struct used to sort the notes, sorted by position More...

## Namespaces
| libmwaw
| namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage
| libmwaw::Debug
| debugging tools

## Typedefs
typedef std::stringstream | libmwaw::DebugStream
| a basic stream (if debug_with_files is not defined, does nothing) More...

## Functions
bool | libmwaw::Debug::dumpFile (librevenge::RVNGBinaryData &data, char const *fileName)
| a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing) More...
std::string | libmwaw::Debug::flattenFileName (std::string const &name)
| returns a file name from an ole/... name More...